@echo off
cd %~dp0
setlocal EnableDelayedExpansion
::-----------------------------------------------------------------------------------------------------------------------------
::-----------------------------------------------------------------------------------------------------------------------------
echo %date:~0%
set Datum=%date:~8,2%%date:~3,2%%date:~0,2%
::set Datum=201111
echo %Datum%

for /l %%m in (4800,1,9999) do (
if exist .\tools\mkgmap-r%%m set Pfad=.\tools\mkgmap-r%%m
)

if /I "%Pfad%" == "" (
echo Kein mkgmap!
echo Taste druecken zum schliessen
pause >nul
exit
)

::set Pfad=.\tools\mkgmap-r4809

::-----------------------------------------------------------------------------------------------------------------------------
::-----------------------------------------------------------------------------------------------------------------------------

:: ---mit oder ohne splitter---

color 9b

:oben



set Abfr=1



:weiter

:oben2

echo 1 mit runterfahren
echo 2 ohne ohne runterfahren
echo 3 Exit

set /P  runter=

if /i "%runter%" == "1" goto weiter2
if /i "%runter%" == "2" goto weiter2
if /i "%runter%" == "3" goto exit 0
goto oben2

:weiter2


::timeout /t 2400
::-----------------------------------------------------------------------------------------------------------------------------
::-----------------------------------------------------------------------------------------------------------------------------

set dlog=-Dlog.config=.\Daten\dlogkomplett.txt
::set dlog=-Dlog.config=.\Daten\dlog.txt
set xmx=-Xmx12G
set xmx=-Xmx5G
set zln=0

set Name[1]=Speiche_mkgmap_Ungarn
set FamID[1]=6032
set MapID[1]=60320000
set OSM[1]=Speiche_Ungarn.osm.pbf

goto anf


set Name[1]=Speiche_mkgmap_NRW
set FamID[1]=6004
set MapID[1]=60040000
set OSM[1]=Speiche_NRW.osm.pbf

set Name[1]=Speiche_mkgmap_Fabrik
set FamID[1]=6002
set MapID[1]=60020000
set OSM[1]=Speiche_Fabrik.osm.pbf



set Name[2]=Speiche_mkgmap_NRWplus
set FamID[2]=6005
set MapID[2]=60050000
set OSM[2]=Speiche_NRWplus.osm.pbf

set Name[2]=Speiche_mkgmap_NL
set FamID[2]=6006
set MapID[2]=60060000
set OSM[2]=Speiche_NL.osm.pbf

set Name[3]=Speiche_mkgmap_Belgien
set FamID[3]=6007
set MapID[3]=60070000
set OSM[3]=Speiche_Belgien.osm.pbf

goto anf

set Name[2]=Speiche_mkgmap_Kanaren
set FamID[2]=6001
set MapID[2]=60010000
set OSM[2]=Speiche_Kanaren.osm.pbf

goto anf

set Name[3]=Speiche_mkgmap_Deutschland
set FamID[3]=6003
set MapID[3]=60030000
set OSM[3]=Speiche_Deutschland.osm.pbf

::goto anf

set Name[4]=Speiche_mkgmap
set FamID[4]=6000
set MapID[4]=60000000
set OSM[4]=Speiche_Europa.osm.pbf


:anf

set /a "zln=%zln%+1"
if "!Name[%zln%]!" == "" goto schluss

echo _______________________________________________________
:: ---osmconvert---
::if /i "%Abfr%" == "1" (
::color 6f
::echo %time% - osmconvert !Name[%zln%]!
::if exist .\OSM\!Name[%zln%]!_mit_SRTM.osm.pbf del .\OSM\!Name[%zln%]!_mit_SRTM.osm.pbf
::".\Tools\osmconvert" .\SRTM\SRTM_!Name[%zln%]!.pbf -o=.\OSM\2.o5m
::".\Tools\osmconvert" .\OSM\!Name[%zln%]!.osm.pbf .\OSM\2.o5m -o=.\OSM\!Name[%zln%]!_mit_SRTM.osm.pbf
::if exist .\OSM\2.o5m del .\OSM\2.o5m
::)

::goto ohnesplitter
:: ---Splitter---

if /i "%Abfr%" == "1" (
color 5f
echo %time% - splitter !Name[%zln%]! 
if not exist .\Baustelle\!Name[%zln%]!_Splitter mkdir .\Baustelle\!Name[%zln%]!_Splitter
if exist .\Baustelle\!Name[%zln%]!_Splitter\60* del.\Baustelle\!Name[%zln%]!_Splitter\60*
::"java" -jar %xmx% .\Tools\splitter\splitter.jar --mapid=!MapID[%zln%]! --precomp-sea=.\Daten\sea.zip --geonames-file=.\Daten\cities500.txt --route-rel-values --max-areas=8192 --keep-complete=true --write-kml=splitter.kml --output-dir=.\Baustelle\!Name[%zln%]!_Splitter .\OSM\map > nul
"java" -jar %xmx% .\Tools\splitter\splitter.jar --mapid=!MapID[%zln%]! --precomp-sea=.\Daten\sea.zip --geonames-file=.\Daten\cities500.txt --route-rel-values --max-areas=8192 --keep-complete=true --write-kml=splitter.kml --output-dir=.\Baustelle\!Name[%zln%]!_Splitter .\OSM\!OSM[%zln%]! > nul
color 5f
)
:ohnesplitter
:: ---mkgmap---

color 4f
echo %time% - mkgmap %Pfad% !Name[%zln%]!
if exist .\Baustelle\!Name[%zln%]!_mkgmap rd .\Baustelle\!Name[%zln%]!_mkgmap /s /q
mkdir .\Baustelle\!Name[%zln%]!_mkgmap



"java" -jar %xmx% %dlog% %Pfad%\mkgmap.jar --family-id=!FamID[%zln%]! --latin1 --output-dir=.\Baustelle\!Name[%zln%]!_mkgmap .\Daten\mapnik_ohneLinien.txt > nul

"java" -jar %xmx% -enableassertions %dlog% %Pfad%\mkgmap.jar --output-dir=.\Baustelle\!Name[%zln%]!_mkgmap --style-file=%Pfad%\examples\styles\default --family-id=!FamID[%zln%]! --region-name=!Name[%zln%]! --series-name=!Name[%zln%]!_%Datum% --family-name=!Name[%zln%]! --area-name=!Name[%zln%]! --overview-mapname=!Name[%zln%]! --road-name-config=%Pfad%\examples\roadNameConfig.txt --dem-poly=.\Baustelle\!Name[%zln%]!_Splitter\areas.poly -c .\Daten\mkgmap_options_default.args -c .\Baustelle\!Name[%zln%]!_Splitter\template.args --description=!Name[%zln%]!_%Datum% %Pfad%\examples\typ-files\mapnik.txt > nul



::-----------------------------------------------------------------------------------------------------------------------------
::-----------------------------------------------------------------------------------------------------------------------------
:loeschen

::rd .\Baustelle\!Name[%zln%]!_splitter /s /q


:gmapnachmaps
::goto nogmapnachmaps

color 0b
echo %time% - xcopy !Name[%zln%]!.gmap nach C:\ProgramData\GARMIN\Maps\ 
if exist C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap rd C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap /s /q
xcopy .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]!.gmap C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap\ /E > NUL
xcopy .\Baustelle\!Name[%zln%]!_mkgmap\mapnik_ohneLinien.typ C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap\ > nul
xcopy .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]!_gmapsupp.img C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap\ > nul

:nogmapnachmaps

:loeschen2
::rd .\Baustelle\!Name[%zln%]!_mkgmap /s /q
color ac
echo %time% - Fertig mit !Name[%zln%]!

:: ---7zip---
:zippen
::if "!Name[%zln%]!" == "Speiche_Fabrik" goto nozip
color 3e
echo %time% - zippe gmap
if exist .\HP_Upload\!Name[%zln%]!*.zip if exist .\HP_Upload\!Name[%zln%]!\!Name[%zln%]!* del .\HP_Upload\!Name[%zln%]!\!Name[%zln%]!*
"C:\Program Files\7-Zip\7z.exe" a -tzip ".\HP_Upload\!Name[%zln%]!_gmap_%Datum%" "C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap" > nul
rename C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap\mapnik.typ _mapnik.typ >nul
rename C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap\mapnik_ohneLinien.typ mapnik.typ >nul
:nozip

echo _______________________________________________________

goto anf

:schluss
echo ________________________________________________________
color ac
echo %time% - Alles fertig
if /i "%runter%" == "1" shutdown -s -f
echo Taste druecken zum schliessen
pause >nul